Bug 102627 - gcc-3.3.1-1 compiler abort using -fssa-dce
gcc-3.3.1-1 compiler abort using -fssa-dce
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 00:10 EDT by Valdis Kletnieks
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 12:09:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C source code test case (646 bytes, text/plain)
2003-08-19 00:13 EDT, Valdis Kletnieks
no flags Details

  None (edit)
Description Valdis Kletnieks 2003-08-19 00:10:46 EDT
Description of problem:
The attached program causes a compiler abort with the flags shown in the
preprocessed test file.  Leaving off -fssa-dce allows compilation.


Version-Release number of selected component (if applicable):
gcc-3.3.1-1

How reproducible:
See attached program.

Steps to Reproduce:
1.
2.
3.
    
Actual results:
Compiler abort.

Expected results:
Correct compilation..

Additional info:
(Yes, I know -fssa and friends aren't ready for prime time, but without bug
reports, they never will be...)
Comment 1 Valdis Kletnieks 2003-08-19 00:13:14 EDT
Created attachment 93739 [details]
C source code test case

This code causes an abort with -fssa-dce

Note You need to log in before you can comment on or make changes to this bug.